Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2820723002: [Extensions Bindings] Update webstore custom bindings (Closed)

Created:
1 year, 1 month ago by Devlin
Modified:
1 year, 1 month ago
Reviewers:
lazyboy
CC:
chromium-reviews, chromium-apps-reviews_chromium.org, extensions-reviews_chromium.org, jbroman
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[Extensions Bindings] Update webstore custom bindings Webstore custom bindings do a one-off solution where the webstore API is created without the use of the bindings system (i.e., it does not use binding.Binding.generate()). Update these bindings to work with native bindings (where it *will* use the bindings system). BUG=653596 TEST=browser_tests --gtest_filter=Webstore*Installer* \ --native-crx-bindings=1 Review-Url: https://codereview.chromium.org/2820723002 Cr-Commit-Position: refs/heads/master@{#465454} Committed: https://chromium.googlesource.com/chromium/src/+/1b1149ae47c1714427323a1d8e13bc0ae4309c1c

Patch Set 1 #

Patch Set 2 : . #

Total comments: 2

Patch Set 3 : . #

Patch Set 4 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+56 lines, -26 lines) Patch
M chrome/renderer/resources/extensions/webstore_custom_bindings.js View 1 2 2 chunks +56 lines, -26 lines 0 comments Download

Messages

Total messages: 26 (21 generated)
Devlin
lazyboy@, mind taking a look? I'm trying not to update all the custom bindings yet ...
1 year, 1 month ago (2017-04-17 19:20:19 UTC) #10
lazyboy
lgtm https://codereview.chromium.org/2820723002/diff/20001/chrome/renderer/resources/extensions/webstore_custom_bindings.js File chrome/renderer/resources/extensions/webstore_custom_bindings.js (right): https://codereview.chromium.org/2820723002/diff/20001/chrome/renderer/resources/extensions/webstore_custom_bindings.js#newcode94 chrome/renderer/resources/extensions/webstore_custom_bindings.js:94: var apiFunctions = api.apiFunctions; Unused?
1 year, 1 month ago (2017-04-17 20:48:04 UTC) #11
Devlin
https://codereview.chromium.org/2820723002/diff/20001/chrome/renderer/resources/extensions/webstore_custom_bindings.js File chrome/renderer/resources/extensions/webstore_custom_bindings.js (right): https://codereview.chromium.org/2820723002/diff/20001/chrome/renderer/resources/extensions/webstore_custom_bindings.js#newcode94 chrome/renderer/resources/extensions/webstore_custom_bindings.js:94: var apiFunctions = api.apiFunctions; On 2017/04/17 20:48:04, lazyboy wrote: ...
1 year, 1 month ago (2017-04-19 01:07:42 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2820723002/60001
1 year, 1 month ago (2017-04-19 01:08:46 UTC) #23
commit-bot: I haz the power
1 year, 1 month ago (2017-04-19 01:13:22 UTC) #26
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/1b1149ae47c1714427323a1d8e13...

Powered by Google App Engine
This is Rietveld 408576698